Skip to main content
POST
/
graphql#ListAccountProducts
List account product assignments
curl --request POST \
  --url 'https://clarus-api.com/graphql#ListAccountProducts' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Clarus-Subdomain: <api-key>' \
  --data '
{
  "query": "query($filter: AccountProductFilterType) { account_products { all(filter: $filter) { edges { node { id account { id code } product { id code } } } } } }"
}
'
{
  "data": {
    "account_products": {
      "all": {
        "edges": [
          {
            "node": {
              "id": "77",
              "account": {
                "id": "3",
                "code": "WH3PL"
              },
              "product": {
                "id": "150",
                "code": "SKU-001"
              }
            }
          }
        ]
      }
    }
  }
}

Query Structure

query($filter: AccountProductFilterType) {
  account_products {
    all(filter: $filter) {
      edges {
        node {
          id
          account {
            id
            code
          }
          product {
            id
            code
          }
        }
      }
    }
  }
}

Filter Argument

All filters are passed inside the filter argument. Each filter field accepts an input object with operators (e.g. eq, ilike, from, to, between):
{
  "filter": {
    "account_id": {
      "eq": "value"
    }
  }
}

Available Filters

FilterInput TypeOperatorsDescription
account_idIdInputTypeeq, in, gt, gteq, lt, lteq, filledStock account ID
product_idIdInputTypeeq, in, gt, gteq, lt, lteq, filledProduct ID
created_atDatetimeInputTypeeq, from, to, betweenCreation timestamp
More fields and filters available via GraphQL introspection.

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.

X-Clarus-Subdomain
string
header
required

The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.

Body

application/json
query
string<textarea>
required

GraphQL query string

Example:

"query($filter: AccountProductFilterType) { account_products { all(filter: $filter) { edges { node { id account { id code } product { id code } } } } } }"

variables
object

Query variables including the filter object

Example:
{ "filter": { "account_id": { "eq": "3" } } }

Response

Successful GraphQL response

data
object
errors
object[]